Kleiner Bug in der bash-completion bei der Verwendung von apt in Ubuntu 15.10

Durch einen Blogbeitrag von Vinzenz Vietzke bin ich darauf aufmerksam geworden, dass anstelle des Befehls apt-get auch apt zur Paketverwaltung genutzt werden kann. Unter Ubuntu 15.10 muss aber kein Skript zur Vervollständigung der Basisbefehle mittels der TAB-Taste erstellt werden. Allerdings habe ich in der mitgelieferten Version einen kleinen Bug gefunden. Der Basisbefehl „search“ wird dabei nämlich nicht unterstützt.

Meine Lösung ist in diesem Fall in der Datei

irgendwo in der Zeile 10-12 den Befehl „search“ einzufügen. Ich habe es hinter „show“ gemacht. Bei mir sehen diese Zeilen nun wie folgt aus

Nach einem Neustart oder dem neu Einlesen … weiterlesen

Gnuplot: „all points y value undefined!“ unter Ubuntu 15.10 bei Benutzung von Zeiten

Eben wollte ich ein gnuplot-Skript unter Ubuntu 15.10 ausführen, welches auf Arch Linux geschrieben und getestet wurde. In Ubuntu erschien aber stets die Fehlermeldung „all points y value undefined!“. Nach ein wenig suchen und testen konnte ich die Benutzung des Zeitformats als Ursach identifizieren. Allerdings brachte mich das „Warum“ zur Verzweiflung. Es ist mir aber trotzdem gelungen.

Installiert man unter Ubuntu 15.10 das Paket gnuplot, so liegt das Programm in Version 4.6 mit Patchlevel 6 vor. Unter Arch Linux wird die Version 5.0 mit Patchlevel 1 verwendet. Mit der Version 5 von gnuplot ändert sich auch das Verhalten der Zeitbenutzung. … weiterlesen